<template>
  <div class="index">
    <div class="container d-flex align-items-center">
      <b-jumbotron>
        <template #header>My Digital Solar System - NuxtJS</template>

        <template #lead>
          This project takes over the world of the solar system using
          <a href="https://api.le-systeme-solaire.net/" target="_blank"
            >API Le Système Solaire</a
          >. This project has been implemented using NuxtJS.
        </template>

        <hr class="my-4" />

        <p>
          You can find the files for this project by clicking
          <a
            href="https://gitlab.com/Emilien.Gts/my-digital-solar-system-v2"
            target="_blank"
            >here</a
          >.
        </p>

        <NuxtLink to="/stars">
          <b-button variant="primary">Discover all the stars</b-button>
        </NuxtLink>
      </b-jumbotron>
    </div>
  </div>
</template>

<script>
import StarsAPI from "../services/index.js";

export default {
  name: "index",
  async asyncData({ store }) {
    if (store.state.stars.list.length === 0) {
      const stars = await StarsAPI.findAll();
      store.commit("stars/set", stars);
    }
  }
};
</script>

<style scoped>
.index {
  min-height: 100vh;
  display: flex;
  align-items: center;
}
</style>
